Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class SetOrderAndFilterForResource

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.SetOrderAndFilterForResource

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class SetOrderAndFilterForResource

extends java.lang.Object
implements OSAction<VoidResult>

Set the Order and Filter criteria for a Resource.

The supplied Order and Filter will be applied by BRM when the Work List for the resource is retrieved

The order and filter settings will also determine which items are retrieved when the Open next work item API is called.

©2012 TIBCO Software Inc.

Since:
  2.0.0
See Also:
  `VoidResult`

Constructor Summary
`SetOrderAndFilterForResource(java.lang.String resourceId, java.lang.String order, java.lang.String filter)` Constructs a new SetOrderAndFilterForResource Action.

Method Summary
`java.lang.String` | `getFilter()` Filer string to pass to BRM.
`java.lang.String` | `getOrder()` Order string to pass to BRM.
`java.lang.String` | `getResourceId()` User ID ( GUID ) of the user we are setting Order and Filter criteria for.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetOrderAndFilterForResource

    public SetOrderAndFilterForResource(java.lang.String resourceId,
                                        java.lang.String order,
                                        java.lang.String filter)

  Constructs a new SetOrderAndFilterForResource Action.

  Parameters:
    `resourceId` - User ID ( GUID ) of the user to set Order and Filter options for.
    `order` - Order string to pass to BRM.

    An example would be :

    "appInstance ASC , appInstanceDescription ASC , id ASC , priority ASC , startDate ASC , endDate ASC , attribute1 ASC , attribute2 ASC , attribute3 ASC , attribute4 ASC"

    See the BRM Filter and Sort documentation for more details.

    `filter` - Filer string to pass to BRM.

    An example would be :

    "appInstance='instance' AND appInstanceDescription>'process1' AND description<'Step2'"

    See the BRM Filter and Sort documentation for more details.

Method Detail

### getOrder

    public java.lang.String getOrder()

  Order string to pass to BRM.

  An example would be :

  "appInstance ASC , appInstanceDescription ASC , id ASC , priority ASC , startDate ASC , endDate ASC , attribute1 ASC , attribute2 ASC , attribute3 ASC , attribute4 ASC"

  See the BRM Filter and Sort documentation for more details.

  Returns:
    Returns the order.

### getFilter

    public java.lang.String getFilter()

  Filer string to pass to BRM.

  An example would be :

  "appInstance='instance' AND appInstanceDescription>'process1' AND description<'Step2'"

  See the BRM Filter and Sort documentation for more details.

  Returns:
    Returns the filter.

### getResourceId

    public java.lang.String getResourceId()

  User ID ( GUID ) of the user we are setting Order and Filter criteria for.

  Returns:
    Returns the resourceId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.